epp_dcpRetentionType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_dcpRetentionType class

### org.openrtk.idl.epprtk

# Class epp_dcpRetentionType

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_dcpRetentionType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpRetentionType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data retention types which describes EPP server's policy of data collection and management. Five retention types are defined: BUSINESS, INDEFINITE, LEGAL, NONE and STATED. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_dcpRetentionType.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_dcpStatement`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpRetentionType` | `BUSINESS` Instance of epp_dcpRetentionType representing the BUSINESS retention type.
  `static epp_dcpRetentionType` | `INDEFINITE` Instance of epp_dcpRetentionType representing the INDEFINITE retention type.
  `static epp_dcpRetentionType` | `LEGAL` Instance of epp_dcpRetentionType representing the LEGAL retention type.
  `static epp_dcpRetentionType` | `NONE` Instance of epp_dcpRetentionType representing the NONE retention type.
  `static epp_dcpRetentionType` | `STATED` Instance of epp_dcpRetentionType representing the STATED retention type.
  `static int` | `_BUSINESS` Integer value representing the BUSINESS retention type.
  `static int` | `_INDEFINITE` Integer value representing the INDEFINITE retention type.
  `static int` | `_LEGAL` Integer value representing the LEGAL retention type.
  `static int` | `_NONE` Integer value representing the NONE retention type.
  `static int` | `_STATED` Integer value representing the STATED retention type.

  ## Constructor Summary
  `epp_dcpRetentionType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpRetentionType` | `from_int(int value)` Transform an integer into a epp_dcpRetentionType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the data retention type.

## Field Details

### BUSINESS

    public static final epp_dcpRetentionType BUSINESS

> Instance of epp_dcpRetentionType representing the BUSINESS retention type.

### INDEFINITE

    public static final epp_dcpRetentionType INDEFINITE

> Instance of epp_dcpRetentionType representing the INDEFINITE retention type.

### LEGAL

    public static final epp_dcpRetentionType LEGAL

> Instance of epp_dcpRetentionType representing the LEGAL retention type.

### NONE

    public static final epp_dcpRetentionType NONE

> Instance of epp_dcpRetentionType representing the NONE retention type.

### STATED

    public static final epp_dcpRetentionType STATED

> Instance of epp_dcpRetentionType representing the STATED retention type.

### _BUSINESS

    public static final int _BUSINESS

> Integer value representing the BUSINESS retention type.
> Field Value:
>   0
> See Also:
>   `BUSINESS`

### _INDEFINITE

    public static final int _INDEFINITE

> Integer value representing the INDEFINITE retention type.
> Field Value:
>   1
> See Also:
>   `INDEFINITE`

### _LEGAL

    public static final int _LEGAL

> Integer value representing the LEGAL retention type.
> Field Value:
>   2
> See Also:
>   `LEGAL`

### _NONE

    public static final int _NONE

> Integer value representing the NONE retention type.
> Field Value:
>   3
> See Also:
>   `NONE`

### _STATED

    public static final int _STATED

> Integer value representing the STATED retention type.
> Field Value:
>   4
> See Also:
>   `STATED`

## Constructor Details

### epp_dcpRetentionType

    protected epp_dcpRetentionType(int value)

> For internal use only. Initializes the internal retention type array.
> Parameters:
>   `value` - The integer value for the desired retention type

## Method Details

### from_int

    public static epp_dcpRetentionType from_int(int value)

> Transform an integer into a epp_dcpRetentionType constant. Given the integer representation of the retention type, returns one of the retention type constants.
> Parameters:
>   `value` - The integer value for the desired retention type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the data retention type.
> Returns:
>   The integer value of this retention type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS